//
//  ApplicationController.m
//  NibRuntimeLoad
//
//  Created by Patrick Geiller on 26/03/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ApplicationController.h"
#import "SampleObject.h"


@implementation ApplicationController

@synthesize	someObjects;

//
//	init
//		setup some dummy objects to display
//

- (id)init
{
	if (![super init])	return nil;
	
	someObjects = [NSMutableArray array];

	// Add some objects
	[someObjects addObject:[[SampleObject alloc]init]];

	SampleObject* object2 = [[SampleObject alloc]init];
	object2.name = @"Another object";
	object2.x = 0.2;
	object2.y = 0.6;
	[someObjects addObject:object2];

	SampleObject* object3 = [[SampleObject alloc]init];
	object3.name = @"Yet another object";
	object3.x = 1.5;
	object3.y = 1578.58;
	[someObjects addObject:object3];
	
	return	self;
}

//
//	loadSecondNib
//
// http://developer.apple.com/documentation/Cocoa/Conceptual/LoadingResources/CocoaNibs/chapter_3_section_6.html
//
- (IBAction)loadSecondNib:(id)sender
{
	// Load with NSBundle
	NSLog(@"Loading NIB …");
	
    if (![NSBundle loadNibNamed:@"SecondWindow" owner:self])
    {
        NSLog(@"Warning! Could not load myNib file.\n");
    }
}

- (IBAction)updateCurrentTime:(id)sender
{
	[textfield setStringValue:[[NSDate date] description]];
}

- (IBAction)toggleCheckbox:(id)sender
{
	if (!checkbox)	return;
	
	[checkbox setNextState];
}

@end
